ogr import in PostGIS error
Status: Closed
Priority: Normal
Assignee: Giovanni Manghi
Category: Processing/OGR

Affected QGIS version:2.8.2
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: worksforme

Copied to github as #: 21187

Description

This command:

processing.runandload("gdalogr:importvectorintopostgisdatabaseavailableconnections”,0,"dbname="test' host=test port=1523

user='georef' password=""*' estimatedmetadata=true srid=8307 type=POINT table="GEOREF"."GEO_NODI_BT"

(GEOMETRY_WGS84)

sql=",3,"EPSG:4326","","","georef","geo_node","id","None","geom",0,™,"","-180.0,180.0,-90.0,90.0",False,™," ,False,False,False,False,

alse,False,False, True, True,"")

returns

SyntaxError: invalid syntax

It might be due to the quotation. Probably processing should replace " with \\" if the argument contains an " when preparing the call.

False,F

History

#1 - 2015-07-31 12:56 AM - Giovanni Manghi

- Assignee set to Giovanni Manghi

- Subject changed from Import fails to ogr import in PostGIS error

#2 - 2016-03-07 12:13 AM - Giovanni Manghi
- Status changed from Open to Feedback

still an issue?

#3 - 2016-04-09 11:55 AM - Giovanni Manghi
- Resolution set to worksforme
- Status changed from Feedback to Closed

closing for lack of feedback. Please reopen if necessary.

#4 - 2016-04-09 12:09 PM - Paolo Cavallini
Agreed, seems fixed now.
